Package org.codehaus.groovy.control

# Class ParserPluginFactory

java.lang.Object
org.codehaus.groovy.control.ParserPluginFactory

Direct Known Subclasses:
  `AntlrParserPluginFactory`

public abstract class ParserPluginFactory extends Object
A factory of parser plugin instances

## Constructor Summary

Constructors
Constructor
Description
`ParserPluginFactory()`

## Method Summary

Modifier and Type
Method
Description
`abstract ParserPlugin`
`createParserPlugin()`
`static ParserPluginFactory`
`newInstance()`
Creates a new instance of `ParserPluginFactory`.
`static ParserPluginFactory`
`newInstance(boolean useNewParser)`
Deprecated.
use `newInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParserPluginFactory

public ParserPluginFactory()

## Method Details

### newInstance

@Deprecated public static ParserPluginFactory newInstance(boolean useNewParser)
Deprecated.
use `newInstance()`
Creates a new instance of `ParserPluginFactory`.

The `useNewParser` parameter is not used, and this method is kept for backward compatibility.

Parameters:
  `useNewParser` - unused.
Returns:
  the new parser factory.

### newInstance

public static ParserPluginFactory newInstance()
Creates a new instance of `ParserPluginFactory`.

Returns:
  the new parser factory.

### createParserPlugin

public abstract ParserPlugin createParserPlugin()